%{?nodejs_find_provides_and_requires}

%global packagename array-foreach
%global enable_tests 1

Name:		nodejs-array-foreach
Version:	1.0.2
Release:	1%{?dist}
Summary:	Array#forEach ponyfill for older browsers

License:	MIT
URL:		https://github.com/twada/array-foreach.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Array#forEach ponyfill for older browsers


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%license MIT-LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Sat Jul 02 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.2-1
- Update to upstream 1.0.2 release

* Tue Nov 10 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
